/*  
  Nutzer.java

  11.03.2001: tk, sourcecode released under the GPL.

  Copyright (c)2001 by SoPra2001 Gruppe 14, University of Dortmund
  mail for contact: thomas.kindler@gmx.de

  This program is free software; you can redistribute it and/or modify it 
  under the terms of the GNU General Public License as published by the 
  Free Software Foundation; either version 2 of the License, or (at your 
  option) any later version. Please read the included "copying.txt" file,
  or the full License at http://www.gnu.org/copyleft for more details.
*/


package logic;
import java.io.*;
import TimeToaster;

public class Nutzer implements Serializable {
    private String  loginName = "";
    private String  name = "";
    private String  vorname = "";
    private String  kommentar = "";
    private boolean isAdmin = false;
    private String  passwort = "";

    private Nutzerverwaltung nutzerVerwaltung; ;
    private Stundenplan      stundenplan;

    public Nutzer( Nutzerverwaltung nutzerVerwaltung )  {
      this.nutzerVerwaltung = nutzerVerwaltung;
      stundenplan = new Stundenplan();
    }

    public void setName(String n){
        this.name = n;
    }

    public String getVorname() {
    	return vorname;
    }

    public void setVorname(String v) {
    	this.vorname = v;
    }

    public String getPasswort() {
      return passwort;
    }

    public void setPasswd(String p) {
    	passwort = p;
    }

    public void setPasswort(String passwort) {
    	this.passwort = passwort;
    }

   public String getKommentar() {
    	return this.kommentar;
   }

   public void setKommentar(String kommentar) {
     this.kommentar = kommentar;
   }

   public void setAdmin(boolean isAdmin) {
     this.isAdmin = isAdmin;
   }

   public boolean isAdmin() {
    	return isAdmin;
   }


   public String getName() {
    	return name;
   }

    public String getLoginName() {
    	return loginName;
    }

    public void setLoginName(String loginName) throws Exception
    {
      if (loginName.equals(""))
        throw new Exception("Der Login-Name darf nicht leer sein.");

      if (!this.loginName.equals(loginName))
        if (nutzerVerwaltung.getNutzer(loginName) != null)
          throw new Exception("Dieser Login-Name ist schon vergeben.");

      this.loginName = loginName;
    }

    public Stundenplan getStundenplan() {
    	return stundenplan;
    }
}
