/*  
  StartDlg.java

  11.03.2001: tk, sourcecode released under the GPL.

  Copyright (c)2001 by SoPra2001 Gruppe 14, University of Dortmund
  mail for contact: thomas.kindler@gmx.de

  This program is free software; you can redistribute it and/or modify it 
  under the terms of the GNU General Public License as published by the 
  Free Software Foundation; either version 2 of the License, or (at your 
  option) any later version. Please read the included "copying.txt" file,
  or the full License at http://www.gnu.org/copyleft for more details.
*/

package gui;

import java.awt.*;
import javax.swing.*;
import logic.*;
import java.awt.event.*;


public class StartDlg extends JDialog {
  JPanel panel1 = new JPanel();
  JPanel jPanel1 = new JPanel();
  JPanel jPanel2 = new JPanel();
  JButton jButton_Oeffnen = new JButton();
  JButton jButton_Starten = new JButton();
  JLabel jLabel2 = new JLabel();
  JLabel jLabel1 = new JLabel();
  BorderLayout borderLayout1 = new BorderLayout();
  JButton jButton_Beenden = new JButton();
  FlowLayout flowLayout1 = new FlowLayout();
  GridBagLayout gridBagLayout1 = new GridBagLayout();

  HauptFenster hauptFenster;

  public StartDlg(JComponent parent, HauptFenster hauptFenster) {
    super((Frame)parent.getTopLevelAncestor(), "Hallo!", true);
    this.hauptFenster = hauptFenster;
    jbInit();
    pack();
    setLocationRelativeTo(parent);
    getRootPane().setDefaultButton(jButton_Oeffnen);
  }


  void jbInit() {
    panel1.setLayout(borderLayout1);
    jButton_Oeffnen.setToolTipText("");
    jButton_Oeffnen.setMnemonic('P');
    jButton_Oeffnen.setText("Ein Projekt ffnen");
    jButton_Oeffnen.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton_Oeffnen_actionPerformed(e);
      }
    });
    jButton_Starten.setMnemonic('N');
    jButton_Starten.setText("Neues Projekt starten");
    jButton_Starten.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton_Starten_actionPerformed(e);
      }
    });
    jLabel2.setText("Was mchten sie tun?");
    jLabel1.setFont(new java.awt.Font("Dialog", 1, 24));
    jLabel1.setForeground(Color.darkGray);
    jLabel1.setToolTipText("");
    jLabel1.setText("Willkommen bei TimeToaster");
    jButton_Beenden.setMnemonic('B');
    jButton_Beenden.setText("Beenden");
    jButton_Beenden.addActionListener(new java.awt.event.ActionListener() {
      public void actionPerformed(ActionEvent e) {
        jButton_Beenden_actionPerformed(e);
      }
    });
    jPanel2.setLayout(flowLayout1);
    flowLayout1.setAlignment(FlowLayout.RIGHT);
    jPanel1.setLayout(gridBagLayout1);
    this.setResizable(false);
    this.setModal(true);
    getContentPane().add(panel1);
    panel1.add(jPanel1, BorderLayout.CENTER);
    jPanel1.add(jLabel1, new GridBagConstraints(0, 0, 2, 1, 0.0, 0.0
            ,GridBagConstraints.NORTHWEST, GridBagConstraints.NONE, new Insets(8, 8, 16, 8), 0, 0));
    jPanel1.add(jButton_Oeffnen, new GridBagConstraints(0, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.NORTHWEST, GridBagConstraints.NONE, new Insets(0, 24, 32, 16), 0, 0));
    jPanel1.add(jLabel2, new GridBagConstraints(0, 1, 2, 1, 0.0, 0.0
            ,GridBagConstraints.NORTHWEST, GridBagConstraints.NONE, new Insets(0, 24, 8, 0), 0, 0));
    jPanel1.add(jButton_Starten, new GridBagConstraints(1, 2, 1, 1, 0.0, 0.0
            ,GridBagConstraints.NORTHWEST, GridBagConstraints.NONE, new Insets(0, 0, 32, 16), 0, 0));
    panel1.add(jPanel2, BorderLayout.SOUTH);
    jPanel2.add(jButton_Beenden, null);
  }

  void jButton_Oeffnen_actionPerformed(ActionEvent e) {
    hauptFenster.actionOeffnen(false);
    dispose();
  }

  void jButton_Starten_actionPerformed(ActionEvent e) {
    dispose();
  }

  void jButton_Beenden_actionPerformed(ActionEvent e) {
    hauptFenster.actionBeenden(false);
    dispose();
  }
}
